List TTS voices
GET /api/v1/models/tts/voices
When any of gender, age, language, accent, or sort are present, routes to the ElevenLabs /v1/shared-voices endpoint (rich filtering, offset pagination). Otherwise routes to /v2/voices (simpler, cursor pagination).
Authentication
AuthorizationBearer
Pass a JWT access token or an API key (prefixed with tif_live_) as a Bearer token.
Query parameters
pageSize
Page size (max 100, default 50)
nextPageToken
Pagination token for next page
search
Search term
voiceType
Voice type filter (v2 API)
category
Category filter
gender
Gender filter (male, female, neutral) — shared-voices API
age
Age group filter (young, middle_aged, old) — shared-voices API
language
Language filter (ISO code) — shared-voices API
accent
Accent filter — shared-voices API
sort
Sort order (trending, latest, most_users) — shared-voices API
page
0-based page offset — shared-voices API
Response
ElevenLabs TTS voices
hasMore
Whether there are more results
totalCount
Number of voices in this response (post-filter)
voices
List of voices
nextPageToken
Token to fetch the next page
Errors
401
Unauthorized Error
403
Forbidden Error
429
Too Many Requests Error
500
Internal Server Error